Name:          gwebsockets
Version:       0.7
Release:       %mkrel 5
Summary:       GLib based websockets server

Group:         System/Libraries
License:       ASL 2.0
URL:           https://github.com/sugarlabs/gwebsockets
Source0:       https://github.com/sugarlabs/gwebsockets/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:     noarch

BuildRequires: glib2-devel
BuildRequires: pkgconfig(python3)
BuildRequires: python3-setuptools

Provides:      python3-%{name} = %{version}-%{release}

%description
A websocket server written in python 3. It uses GIO for network
communication and hence it easily integrates with the GLib mainloop.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files gwebsockets

%files -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Tue Feb 27 2024 papoteur <papoteur> 0.7-5.mga10
+ Revision: 2044604
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.7-4.mga9
+ Revision: 1822951
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.7-3.mga9
+ Revision: 1778425
- Rebuild for python-3.10

* Sat Mar 27 2021 tv <tv> 0.7-2.mga9
+ Revision: 1710872
- rebuild for python 3.9

* Sat Feb 22 2020 daviddavid <daviddavid> 0.7-1.mga8
+ Revision: 1549485
- new version: 0.7

* Tue Feb 18 2020 umeabot <umeabot> 0.6-2.mga8
+ Revision: 1538294
- Mageia 8 Mass Rebuild

* Mon Nov 18 2019 daviddavid <daviddavid> 0.6-1.mga8
+ Revision: 1461635
- new version: 0.6
- port to python 3
- new URL and Source URL

* Tue Sep 18 2018 umeabot <umeabot> 0.4-2.mga7
+ Revision: 1262005
- Mageia 7 Mass Rebuild

* Wed May 18 2016 tv <tv> 0.4-1.mga6
+ Revision: 1016755
- imported package gwebsockets


* Wed May 18 2016 Thierry Vignaud <tv@mageia.org> 0.4-1.mga6
- import from FC for sugar

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 13 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.4-1
- Update to 0.4

* Fri Aug 16 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.3-1
- Update to 0.3

* Sat Jul  6 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.2-1
- Initial package
